Last Comment Bug 664672 - When a tab has been removed, cut off its link to the browser
: When a tab has been removed, cut off its link to the browser
Status: VERIFIED FIXED
: mlk
Product: Firefox
Classification: Client Software
Component: Tabbed Browser (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 7
Assigned To: Dão Gottwald [:dao]
:
: Dão Gottwald [:dao]
Mentors:
Depends on:
Blocks: 489622 bc-leaks
  Show dependency treegraph
 
Reported: 2011-06-16 01:01 PDT by Dão Gottwald [:dao]
Modified: 2012-08-12 12:33 PDT (History)
5 users (show)
dao+bmo: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (1.12 KB, patch)
2011-06-16 01:01 PDT, Dão Gottwald [:dao]
gavin.sharp: review+
Details | Diff | Splinter Review
patch v2 (2.72 KB, patch)
2011-06-18 04:03 PDT, Dão Gottwald [:dao]
no flags Details | Diff | Splinter Review

Description Dão Gottwald [:dao] 2011-06-16 01:01:50 PDT
Created attachment 539742 [details] [diff] [review]
patch

In order to release the browser when something is erroneously holding a reference to a removed tab, we should cut off the link between the two.

mochitest-browser-chrome passed on try with this patch.
Comment 1 :Gavin Sharp [email: gavin@gavinsharp.com] 2011-06-17 07:34:16 PDT
Comment on attachment 539742 [details] [diff] [review]
patch

Why null out linkedPanel? It's just an ID.

It's hard to know whether anyone would be depending on tabs keeping their browsers alive, but I guess there isn't much to do aside from trying it and seeing what breaks.
Comment 2 Dão Gottwald [:dao] 2011-06-18 04:03:27 PDT
Created attachment 540227 [details] [diff] [review]
patch v2

removed the linkedPanel part, added a test
Comment 3 Dão Gottwald [:dao] 2011-06-18 04:06:45 PDT
http://hg.mozilla.org/mozilla-central/rev/3dc72d090e70
Comment 4 Vlad [QA] 2011-08-29 05:37:55 PDT
Setting resolution to Verified Fixed on Mozilla/5.0 (Windows NT 6.1; rv:7.0) Gecko/20100101 Firefox/7.0

Note You need to log in before you can comment on or make changes to this bug.